FROM golang:alpine AS builder
WORKDIR /build
ADD go.mod .
COPY . .
RUN go build 
FROM alpine
RUN apk add --no-cache tzdata
ENV TZ=Europe/Zurich
WORKDIR /build
RUN apk add --no-cache tzdata
COPY --from=builder /build/mini-beieli-web /build/mini-beieli-web
COPY snippets snippets
COPY templates templates
COPY static static
CMD ["./mini-beieli-web"]
EXPOSE 4000
